Bug 93054 - [ new port ] biology/jalview
Summary: [ new port ] biology/jalview
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-08 19:20 UTC by Fernan Aguero
Modified: 2006-02-13 09:44 UTC (History)
0 users

See Also:


Attachments
jalview.shar (6.18 KB, text/plain)
2006-02-08 19:20 UTC, Fernan Aguero
no flags Details
jalview.shar (6.09 KB, application/x-shar)
2006-02-10 19:17 UTC, Fernan Aguero
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2006-02-08 19:20:05 UTC
	
	
	A multiple sequence alignment viewer/editor written in Java
Comment 1 Herve Quiroz freebsd_committer 2006-02-10 10:26:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 2 Hervé Quiroz 2006-02-10 10:36:32 UTC
Hi,

The port needs to be improved before we add it to the tree. Here is a
new version:

- Don't set JAVA_RUN
- Use DATADIR instead of JALVIEW_HOME (and it's already included in
  SUB_LIST)
- Use %%DATADIR%% in pkg-plist
- Use %%JAVA_VERSION%% in the launcher shell script (in case the user
  wants to override JAVA_VERSION whe building the port)
- Comment the patch
- Add a $FreeBSD$ tag in pkg-plist and the patch file
- Makefile should not contain editor hints (ex:ts=8)
- Use INSTALL_DATA rather than CP when installing JAR files

There is one more issue I could not handle: portlint reports that the
pkg-descr in too long (30 lines when the maximum length is 24 lines).

Could you please review the new version and fix pkg-descr?

Herve


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	jalview
#	jalview/Makefile
#	jalview/distinfo
#	jalview/pkg-descr
#	jalview/pkg-plist
#	jalview/files
#	jalview/files/patch-build.xml
#	jalview/files/jalview.sh.in
#
echo c - jalview
mkdir -p jalview > /dev/null 2>&1
echo x - jalview/Makefile
sed 's/^X//' >jalview/Makefile << 'END-of-jalview/Makefile'
X# New ports collection makefile for:	jalview
X# Date created:				11 Jan 2006
X# Whom:					Fernan Aguero <fernan@iib.unsam.edu.ar>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	jalview
XPORTVERSION=	2.07
XCATEGORIES=	biology java
XMASTER_SITES=	http://www.jalview.org/source/
XDISTNAME=	${PORTNAME}_${PORTVERSION:S/./_/}
X
XMAINTAINER=	fernan@iib.unsam.edu.ar
XCOMMENT=	A viewer and editor for multiple sequence alignments
X
XUSE_JAVA=	yes
XJAVA_VERSION=	1.4+
XUSE_ANT=	yes
XALL_TARGET=	makejars
XWRKSRC=		${WRKDIR}/${PORTNAME}
X
XDATADIR=	${JAVASHAREDIR}/${PORTNAME}
XSUB_FILES=	jalview.sh
X
Xdo-install:
X	${INSTALL_SCRIPT} ${WRKDIR}/jalview.sh ${PREFIX}/bin/jalview
X	@${MKDIR} ${DATADIR}
X	${INSTALL_DATA} ${WRKSRC}/dist/* ${DATADIR}
X
X.include <bsd.port.mk>
END-of-jalview/Makefile
echo x - jalview/distinfo
sed 's/^X//' >jalview/distinfo << 'END-of-jalview/distinfo'
XMD5 (jalview_2_07.tar.gz) = 48261fc1c2dc011fe8788368c8bf8223
XSHA256 (jalview_2_07.tar.gz) = 2cc6b5ec40cf45b0e8e8048b98eacb14af230db6ed6929b95bec4ce0792a51f7
XSIZE (jalview_2_07.tar.gz) = 8439780
END-of-jalview/distinfo
echo x - jalview/pkg-descr
sed 's/^X//' >jalview/pkg-descr << 'END-of-jalview/pkg-descr'
XJalview is a multiple alignment editor written in Java. It is used
Xwidely in a variety of web pages (e.g. the EBI Clustalw server and the
XPfam protein domain database) but is available as a general purpose
Xalignment editor. 
X
Xo Reads and writes alignments in a variety of formats (Fasta, PFAM, MSF, 
X  Clustal, BLC, PIR)
Xo Gaps can be inserted/deleted using the mouse.
Xo Group editing (insertion deletion of gaps in groups of sequences).
Xo Removal of gapped columns.
Xo Align sequences using Web Services (Clustal, Muscle...)
Xo Amino acid conservation analysis similar to that of AMAS.
Xo Alignment sorting options (by name, tree order, percent identity, group).
Xo UPGMA and NJ trees calculated and drawn based on percent identity distances.
Xo Sequence clustering using principal component analysis.
Xo Removal of redundant sequences.
Xo Smith Waterman pairwise alignment of selected sequences.
Xo Use web based secondary structure prediction programs (JNet).
Xo User predefined or custom colour schemes to colour alignments or groups.
Xo Sequence feature retrieval and display on the alignment.
Xo Print your alignment with colours and annotations.
Xo Create HTML pages.
Xo Output alignment as portable network graphics image (PNG).
Xo Output alignment as encapsulated postscript file (EPS).
X
XIf you use Jalview in your work, please quote this publication.
XClamp, M., Cuff, J., Searle, S. M. and Barton, G. J. (2004),
X"The Jalview Java Alignment Editor," Bioinformatics, 12, 426-7 
X
XWWW: http://www.jalview.org
END-of-jalview/pkg-descr
echo x - jalview/pkg-plist
sed 's/^X//' >jalview/pkg-plist << 'END-of-jalview/pkg-plist'
X@comment $FreeBSD$
Xbin/jalview
X%%DATADIR%%/activation.jar
X%%DATADIR%%/xercesImpl.jar
X%%DATADIR%%/wsdl4j.jar
X%%DATADIR%%/saaj.jar
X%%DATADIR%%/regex.jar
X%%DATADIR%%/mail.jar
X%%DATADIR%%/log4j-1.2.8.jar
X%%DATADIR%%/jhall.jar
X%%DATADIR%%/jaxrpc.jar
X%%DATADIR%%/jalview.jar
X%%DATADIR%%/commons-logging.jar
X%%DATADIR%%/commons-discovery.jar
X%%DATADIR%%/castor-0.9.6-xml.jar
X%%DATADIR%%/axis.jar
X%%DATADIR%%/xml-apis.jar
X@dirrm %%DATADIR%%
END-of-jalview/pkg-plist
echo c - jalview/files
mkdir -p jalview/files > /dev/null 2>&1
echo x - jalview/files/patch-build.xml
sed 's/^X//' >jalview/files/patch-build.xml << 'END-of-jalview/files/patch-build.xml'
X$FreeBSD$
X
XThis patch removes the webstart support.
X
X--- build.xml.orig	Mon Dec 12 14:57:02 2005
X+++ build.xml	Fri Jan 27 12:20:52 2006
X@@ -180,6 +180,10 @@
X         </fileset>
X       </copy>
X <!-- the default keystore details might need to be edited here -->
X+<!-- Remove all the remaining stuff for this target 
X+     which is only necessary if we want to start jalview
X+     using java web start. It requires us to generate a key 
X+     before building the port - Fernan - 27.Jan.2006 
X       <signjar
X       storepass="alignmentisfun"
X       keypass="alignmentisfun"
X@@ -194,8 +198,9 @@
X       </fileset>
X       </signjar>
X       <taskdef classpathref="build.classpath" resource="com/roxes/tools/ant/taskdefs.properties"/>
X-
X+-->
X       <!--    codebase="http://www.jalview.org/jalview/webstart" -->
X+<!--
X       <jnlp toFile="${packageDir}/jalview.jnlp" href="jalview.jnlp"
X       codebase="${WebStartLocation}">
X       <information>
X@@ -206,6 +211,7 @@
X         <description kind="short">Jalview</description>
X         <icon href="logo_big.gif"/>
X         <offline_allowed/>
X+-->
X 	<!--
X 	<association mime-type="application-x/ext-file" extensions="fa"/>
X         <association mime-type="application-x/ext-file" extensions="fasta"/>
X@@ -216,6 +222,7 @@
X         <association mime-type="application-x/ext-file" extensions="aln"/>
X         <association mime-type="application-x/ext-file" extensions="pir"/>
X 	-->
X+<!--
X        </information>
X         <resources>
X           <j2se version="1.4+"/>
X@@ -234,6 +241,7 @@
X           <all_permissions/>
X         </security>
X       </jnlp>
X+-->
X     </target>
X     <target name="runenv" depends="init">
X       <path id="run.classpath">
END-of-jalview/files/patch-build.xml
echo x - jalview/files/jalview.sh.in
sed 's/^X//' >jalview/files/jalview.sh.in << 'END-of-jalview/files/jalview.sh.in'
X#!/bin/sh
X#
X# $FreeBSD$
X
X# Shell script to launch jalview using our javavm wrapper
X
XJAVA_VERSION="%%JAVA_VERSION%%" "%%LOCALBASE%%/bin/java" -Djava.ext.dirs="%%DATADIR%%" -cp "%%DATADIR%%/jalview.jar" jalview.bin.Jalview
END-of-jalview/files/jalview.sh.in
exit
Comment 3 Herve Quiroz freebsd_committer 2006-02-10 10:40:59 UTC
State Changed
From-To: open->feedback

Submitter asked for a review.
Comment 4 Fernan Aguero 2006-02-10 19:17:39 UTC
+----[ Herve Quiroz <herve.quiroz@esil.univ-mrs.fr> (10.Feb.2006 14:57):
|
| Hi,
| 
| The port needs to be improved before we add it to the tree. Here is a
| new version:
| 
| - Don't set JAVA_RUN
| - Use DATADIR instead of JALVIEW_HOME (and it's already included in
|   SUB_LIST)
| - Use %%DATADIR%% in pkg-plist
| - Use %%JAVA_VERSION%% in the launcher shell script (in case the user
|   wants to override JAVA_VERSION whe building the port)
| - Comment the patch
| - Add a $FreeBSD$ tag in pkg-plist and the patch file
| - Makefile should not contain editor hints (ex:ts=8)
| - Use INSTALL_DATA rather than CP when installing JAR files

Again, thanks for the reviewed port and for the detailed
description. It's a pleasure to work with committers like you,
really!

| There is one more issue I could not handle: portlint reports that the
| pkg-descr in too long (30 lines when the maximum length is 24 lines).

portlint says "make it shorter, if possible". It's not that
long, just a few lines over the suggested maximum :)

I edited the pkg-descr and now it's 27 lines ... would you
accept it now?

| Could you please review the new version and fix pkg-descr?
| 
| Herve
|
+----]

[ shar archive snipped ]

Attached is the shar archive containing the minimally
modified pkg-descr :)

Fernan

PS: I'm just getting over a plane in a few hours, and will
not be available for a couple of weeks. If you need my
approval for anything, let things stand for a while if
they're important. If they're trivial fixes, you have my
authorization to commit using your criteria. Thanks again!
Comment 5 Herve Quiroz freebsd_committer 2006-02-13 09:42:45 UTC
State Changed
From-To: feedback->closed

New port added. 

I reduced pkg-descr to 25 lines by justifying the text a bit more (line length 
can be up to 80 characters). 

Thanks for your contribution!